[build-system]
requires = ["hatchling"]
build-backend = "hatchling.build"

[project]
name = "alpine-bits-python-server"
version = "0.1.2"
description = "Alpine Bits Python Server implementation"
readme = "README.md"
requires-python = ">=3.13"
dependencies = [
    "aiosqlite>=0.21.0",
    "annotatedyaml>=1.0.0",
    "dotenv>=0.9.9",
    "fastapi>=0.117.1",
    "generateds>=2.44.3",
    "lxml>=6.0.1",
    "pytest>=8.4.2",
    "redis>=6.4.0",
    "ruff>=0.13.1",
    "slowapi>=0.1.9",
    "sqlalchemy>=2.0.43",
    "uvicorn>=0.37.0",
    "voluptuous>=0.15.2",
    "xsdata-pydantic[cli,lxml,soap]>=24.5",
    "xsdata[cli,lxml,soap]>=25.7",
]

[project.scripts]
alpine-bits-server = "alpine_bits_python.main:main"

[tool.hatch.build.targets.wheel]
packages = ["src/alpine_bits_python"]

[tool.pytest.ini_options]
testpaths = ["test"]
pythonpath = ["src"]

[tool.ruff]
src = ["src", "test"]
